package com.fundi.framework.common.comparator;

import java.util.ArrayList;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

public class ComparatorField {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private String label;
	private String keySequence;
	private boolean ignored;
	private boolean hidden;
	private ArrayList<ComparatorSource> sources;
	private ArrayList<String> sourceFields;
	
	public ComparatorField(String label, String keySequence, boolean ignored, boolean hidden, ArrayList<ComparatorSource> sources,
										ArrayList<String> sourceFields) {
		
		super();
		
		this.label = label;
		this.keySequence = keySequence;
		this.ignored = ignored;
		this.hidden = hidden;
		this.sources = sources;
		this.sourceFields = sourceFields;
	}

	public String getLabel() {
		return label;
	}

	public String getKeySequence() {
		return keySequence;
	}

	public boolean isIgnored() {
		return ignored;
	}

	public boolean isHidden() {
		return hidden;
	}

	public ArrayList<ComparatorSource> getSources() {
		return sources;
	}

	public ArrayList<String> getSourceFields() {
		return sourceFields;
	}
}
