package com.fundi.framework.common.displaylist;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.io.File;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

import com.fundi.framework.common.instance.AppInstance;
import com.fundi.framework.common.nl1.Messages;

public class DisplayListDeserializer {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	public DisplayListDeserializer() {
		
		super();
	}
	
	public DisplayList getList(ObjectInputStream in) {
		
		DisplayList list = null;
		
		try {
			list = (DisplayList) in.readObject();
		} 
		catch (Throwable e) {
			System.out.println(e);
		}
		
		return list;
	}
	
	public ArrayList<DisplayList> getLists(ObjectInputStream in) {
		
		ArrayList<DisplayList> lists = null;
		
		try {
			lists = (ArrayList<DisplayList>) in.readObject();
		} 
		catch (Throwable e) {
			System.out.println(e);
		}
		
		return lists;
	}
	
	public Object retrieveLegacySavedDisplay(AppInstance instance, File savedFile) {
		
		return null;
	}
	
	public void writeUnshared(AppInstance instance, ObjectOutputStream out, Object obj) {
		
		try {
			out.writeUnshared(obj);
		} 
		catch (IOException e) {
			instance.addConsoleMessage(e);
		}
	}
	
	public Object readObject(AppInstance instance, ObjectInputStream in) {
		
		try {
			return in.readObject();
		} 
		catch (Throwable e) {
			instance.addConsoleMessage(e);
		}
		
		return null;
	}
}
